import { Signer } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import { ContractFactory, Overrides } from "@ethersproject/contracts";
import { Issuer } from "./Issuer";
export declare class IssuerFactory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides): Promise<Issuer>;
    getDeployTransaction(overrides?: Overrides): TransactionRequest;
    attach(address: string): Issuer;
    connect(signer: Signer): IssuerFactory;
    static connect(address: string, signerOrProvider: Signer | Provider): Issuer;
}
